%define upstream_name    Dist-Zilla-Plugin-StaticInstall
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    (EXPERIMENTAL, DANGEROUS) Identify a distribution as eligible for static installation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Merge)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autovivification)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Tiny)
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that, when 'mode' is 'on',
provides the following distribution metadata:

    x_static_install : "1"

The plugin performs a number of checks against the distribution to
determine the proper value of the 'x_static_install' metadata field. When
set to a true value, this indicates that the can skip a number of
installation steps (such as running _Makefile.PL_ or _Build.PL_ and acting
on its side effects).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes CONTRIBUTING INSTALL LICENCE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-2.mga6
+ Revision: 1026578
- Rebuild for perl 5.22.2

* Sat Jan 02 2016 shlomif <shlomif> 0.9.0-1.mga6
+ Revision: 918318
- Add missing BR
- Importing from cpan2pkg


* Mon Dec 28 2015 cpan2dist 0.009-1mga
- initial mageia release, generated with cpan2dist
